<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Attributes.html">Attributes</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::Attributes Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#a9f8f053a797c33195cd823bbe91a24a8">Add</a>(const std::string &amp;, const std::string &amp;)</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#afad9a1871b7ec801c4c40446a5022bbe">Attributes</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#a86612a57ebf30fff909356a0165a712a">Get</a>(const std::string &amp;) const -&gt; std::string</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#a44e4ec4f45130e843b036c764c9effff">Get</a>(const std::string &amp;) const -&gt; T</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#a8a40b7be607ea51e4fdcc7ab7237a46e">Get</a>(const std::string &amp;) const -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#ad955fb8678355b77c60907fe41f754e9">GetLibrary</a>() const -&gt; const std::map&lt; std::string, std::string &gt;</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#ae2128837ba7b64ae153d8b054d32af58">Has</a>(const std::string &amp;) const -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#aac496caf3931b8885961264bf2015024">SetLibrary</a>(std::map&lt; std::string, std::string &gt; &amp;new_attr_library)</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Attributes.html#ac0a763b9415d0addc52f108b2febefa1">~Attributes</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1Attributes.html">gg::Attributes</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
